* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: "Inter", sans-serif;
}

button, input {
  font-family: "Inter", sans-serif;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Oswald", sans-serif;
  margin: 0;
  padding: 0;
  text-transform: uppercase;
}

p, span, a {
  margin: 0;
  padding: 0;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

a {
  text-decoration: none;
  transition: all 0.2s;
}

.container {
  width: 1200px;
  max-width: 95%;
  margin: 0 auto;
}

.button {
  text-transform: uppercase;
  font-size: 20px;
  font-weight: 600;
  line-height: 140%;
  color: #ffffff;
  border-radius: 16px;
  background: #51C373;
  height: 100px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 0 65px;
  border: none;
  outline: none;
  cursor: pointer;
  transition: all 0.2s;
  overflow: hidden;
  box-shadow: inset 0px 4px 4px rgba(255, 255, 255, 0.25);
}

.button:hover {
  background: #43BC67;
}

.main__button {
  width: 100%;
}

.main-block {
  max-width: 670px;
}

.main__title {
  margin-bottom: 30px;
  margin-top: 110px;
  color: #ffffff;
  font-size: 52px;
  max-width: 720px;
}

.main__title span {
  color: #FDD652;
}

.main__descr {
  margin-bottom: 30px;
  color: #ffffff;
  font-size: 24px;
  font-weight: 400;
  line-height: 150%;
}

.main__descr span {
  color: #FDD652;
  font-weight: 600;
}

.main-question {
  margin-bottom: 45px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 15px;
  padding: 24px;
  border-radius: 72px;
  border: 2px solid #ffffff;
}

.main-question-text {
  color: #ffffff;
  font-size: 20px;
  line-height: 150%;
  font-weight: 400;
}

.main {
  padding-top: 20px;
  padding-bottom: 180px;
  min-height: 100vh;
}

.main-1 {
  background: url("./images/1.jpg") center center no-repeat;
  background-size: cover;
}

.main-2 {
  background: url("./images/2.jpg") center center no-repeat;
  background-size: cover;
}

.main-3 {
  background: url("./images/3.jpg") center center no-repeat;
  background-size: cover;
}

.main-4 {
  background: url("./images/4.jpg") center center no-repeat;
  background-size: cover;
}

.main-5 {
  background: url("./images/5.jpg") center center no-repeat;
  background-size: cover;
}

.main-6 {
  background: url("./images/6.jpg") center center no-repeat;
  background-size: cover;
}

.main-7 {
  background: url("./images/7.jpg") center center no-repeat;
  background-size: cover;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
  flex-wrap: wrap;
}

.header-address {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 10px;
}

.header-address-text {
  font-size: 20px;
  color: #ffffff;
  font-weight: 400;
  line-height: 150%;
}

.header-phone {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 15px;
}

.header-phone-text {
  display: flex;
  flex-direction: column;
  gap: 5px;
  justify-content: center;
  align-items: center;
}

.header-phone-text__label {
  font-size: 18px;
  font-weight: 400;
  color: #ffffff;
}

.header-phone-text__value {
  font-size: 24px;
  font-weight: 600;
  color: #ffffff;
}

.header-phone-text__value:hover {
  color: #51C373;
}

.main__delivery {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 20px;
  font-weight: 600;
  gap: 12px;
  color: #ffffff;
  font-size: 20px;
}

@media screen and (max-width: 767px) {

  .main__delivery {
    font-size: 14px;
    align-items: flex-start;
    gap: 10px;
  }

  .main-1 {
    background: url("./images/1-mob.jpg") bottom center no-repeat;
    background-size: cover;
  }
  
  .main-2 {
    background: url("./images/2-mob.jpg") bottom center no-repeat;
    background-size: cover;
  }
  
  .main-3 {
    background: url("./images/3-mob.jpg") bottom center no-repeat;
    background-size: cover;
  }
  
  .main-4 {
    background: url("./images/4-mob.jpg") bottom center no-repeat;
    background-size: cover;
  }
  
  .main-5 {
    background: url("./images/5-mob.jpg") bottom center no-repeat;
    background-size: cover;
  }
  
  .main-6 {
    background: url("./images/6-mob.jpg") bottom center no-repeat;
    background-size: cover;
  }
  
  .main-7 {
    background: url("./images/7-mob.jpg") bottom center no-repeat;
    background-size: cover;
  }

  .main__title {
    font-size: 24px;
    margin-top: 40px;
    margin-bottom: 15px;
    text-align: center;
  }

  .main__descr {
    margin-bottom: 15px;
    font-size: 14px;
    text-align: center;
  }

  .main-question {
    margin-bottom: 20px;
    gap: 10px;
    padding: 10px;
    border-radius: 24px;
    align-items: flex-start;
  }

  .main-question img {
    width: 45px;
    height: 45px;
  }

  .main-block {
    width: 100%;
    max-width: none;
  }

  .main-question-text {
    font-size: 13px;
  }

  .main {
    padding-top: 10px;
    padding-bottom: 400px;
    min-height: 120vh;
  }

  .button {
    font-size: 16px;
    height: 65px;
    padding: 0 30px;
  }

  .header {
    gap: 10px;
    justify-content: center;
    align-items: center;
  }

  .header__logo {
    height: 40px;
  }

  .header-address-text {
    font-size: 13px;
  }

  .header-address {
    gap: 8px;
    display: none;
  }

  .header-phone img {
    width: 42px;
    height: 42px;
  }

  .header-phone {
    gap: 10px;
  }

  .header-phone-text__label {
    font-size: 12px;
  }

  .header-phone-text__value {
    font-size: 18px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1279px) {
  .main__title {
    font-size: 32px;
    margin-top: 50px;
    margin-bottom: 20px;
  }

  .main__descr {
    margin-bottom: 20px;
    font-size: 16px;
  }

  .main-question {
    margin-bottom: 25px;
    gap: 10px;
    padding: 15px;
    border-radius: 32px;
    align-items: flex-start;
  }

  .main-question img {
    width: 55px;
    height: 55px;
  }

  .main-question-text {
    font-size: 16px;
  }

  .main {
    padding-bottom: 120px;
  }

  .button {
    font-size: 16px;
    height: 75px;
    padding: 0 40px;
  }

  .header {
    gap: 12px;
  }

  .header__logo {
    height: 50px;
  }

  .header-address-text {
    font-size: 16px;
  }

  .header-address {
    gap: 10px;
    display: none;
  }

  .header-phone img {
    width: 48px;
    height: 48px;
  }

  .header-phone {
    gap: 12px;
  }

  .header-phone-text__label {
    font-size: 14px;
  }

  .header-phone-text__value {
    font-size: 20px;
  }
}

@media screen and (min-width: 1280px) and (max-width: 1440px) {
  .main__title {
    font-size: 42px;
    margin-top: 60px;
    margin-bottom: 25px;
    max-width: 720px;
  }

  .main__descr {
    margin-bottom: 25px;
    font-size: 18px;
  }

  .main-question {
    margin-bottom: 25px;
    gap: 12px;
    padding: 20px;
    border-radius: 48px;
    align-items: flex-start;
  }

  .main-question img {
    width: 65px;
    height: 65px;
  }

  .main-question-text {
    font-size: 18px;
  }

  .main {
    padding-bottom: 150px;
  }

  .button {
    font-size: 18px;
    height: 80px;
    padding: 0 45px;
  }

  .header {
    gap: 12px;
  }

  .header__logo {
    height: 60px;
  }

  .header-address-text {
    font-size: 18px;
  }

  .header-address {
    gap: 12px;
    display: none;
  }

  .header-phone img {
    width: 48px;
    height: 48px;
  }

  .header-phone {
    gap: 12px;
  }

  .header-phone-text__label {
    font-size: 16px;
  }

  .header-phone-text__value {
    font-size: 22px;
  }
}